
Redmine - Patch #11497

Dry up logging in MailHandler class

2012-07-24 14:22 - Alex Shulgin

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Description

The current approach to logging in MailHandler is a bit funny.  Instead of checking "if logger" every time, just make sure logger

returns non-nil.

Also, extra-checking with "if logger && logger.info" doesn't make much sense.  It prints extra blank lines when logger is set and

accepts info level, but has no point when level setting is different.  It's perfectly safe to just call "logger.info message".

Related issues:

Related to Redmine - Defect #30457: MailHandler.safe_receive does not output ... Closed

History

#1 - 2019-02-10 02:05 - Go MAEDA

- Related to Defect #30457: MailHandler.safe_receive does not output any error log added

#2 - 2019-02-10 02:05 - Go MAEDA

- Category set to Email receiving

#3 - 2019-04-20 07:16 - Go MAEDA

- Status changed from New to Closed

"logger.info(...) if logger" was replaced with "logger&.info(...)" in r18069 as a part of #30457.

Files

0012-Dry-up-MailHandler-logging.patch 5.55 KB 2012-07-24 Alex Shulgin
